<?php

namespace App\Filament\Resources\ExchangeRequestResource\Api\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UpdateExchangeRequestRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'status' => 'required',
            'completion_report_id' => 'required',
            'created_by' => 'required',
            'transaction_date' => 'required|date',
        ];
    }
}
